/*
  EEPROM Data.c

  Write values and text to the Proepller Chip's dedicated EEPROM, and then
  read back and display.
  
  http://learn.parallax.com/propeller-c-tutorials
*/

#include "simpletools.h"          // Include simpletools header
#include <stdio.h>

void main(void)                    // main function
{
  int addr;
  int eeVal;
  unsigned char s[8];             // Character array to hold string

  printf("Configuring\n");

  ee_config(28, 29, 1);			      // configure for driving scl, needed for some eeprom setups

  printf("Writing Int\n");

  addr = 32769;                   // Pick EEPROM base address. 

  ee_putInt(42, addr);            // 42 -> EEPROM address 32769
  printf("Reading Int\n");
  eeVal = ee_getInt(addr);        // EEPROM address 32769 -> eeVal
  printf("myVal = %d\n", eeVal);  // Display result
  printf("Writing Int\n");

  addr = 32769;                   // Pick EEPROM base address. 

  ee_putInt(77, addr);            // 42 -> EEPROM address 32769
  printf("Reading Int\n");
  eeVal = ee_getInt(addr);        // EEPROM address 32769 -> eeVal
  printf("myVal = %d\n", eeVal);  // Display result

  printf("Writing String\n");

  ee_putStr((unsigned char *)"hello!\n", 8, addr + 4); // hello!\n -> EEPROM 32773..32780
  printf("Reading String\n");
  ee_getStr(s, 8, addr + 4);      // EEPROM 32773..32780 -> s[0]..s[7]
  printf("s = %s", s);            // Display s array

    printf("Writing String\n");

  ee_putStr((unsigned char *)"byebye!\n", 8, addr + 4); // hello!\n -> EEPROM 32773..32780
  printf("Reading String\n");
  ee_getStr(s, 8, addr + 4);      // EEPROM 32773..32780 -> s[0]..s[7]
  printf("s = %s", s);            // Display s array

  while(1);                       // do not exit
}

